org.apache.uima.fit.component

## Interface ExternalResourceAware

- All Known Implementing Classes:
    JndiResourceLocator, Resource_ImplBase

      public interface ExternalResourceAware

  Allows an external resource to use the `ExternalResource` annotation on member variables to gain access to other external resources.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterResourcesInitialized()` Called after the external resources have been initialized.
    `String` | `getResourceName()` Get the name of the resource.

- - ### Method Detail

    - #### getResourceName

          String getResourceName()

      Get the name of the resource. This is set by `bindExternalResource()` as the parameter `PARAM_RESOURCE_NAME`.
      It is mandatory that any resource implementing this interface declares the configuration parameter `PARAM_RESOURCE_NAME`.
      Returns:
        the resource name.

    - #### afterResourcesInitialized

          void afterResourcesInitialized()
                                  throws org.apache.uima.resource.ResourceInitializationException

      Called after the external resources have been initialized.
      Throws:
        `org.apache.uima.resource.ResourceInitializationException` - if an problem occurs in the late initialization.

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.